import type { Route } from "next";
import {
  BarChart4,
  Bolt,
  BookA,
  BookText,
  Building,
  CircleUser,
  Cloudy,
  FlaskConical,
  FlaskRound,
  GitCommitHorizontal,
  Key,
  LucideIcon,
  Ruler,
  Sparkles,
  Users,
  Wrench,
} from "lucide-react";

export type NavItem = {
  href: Route;
  title: string;
  badge?: string;
  icon?: LucideIcon;
};

export type GroupedNavItems = {
  group: string;
  items: NavItem[];
};

export const sideNavItems: GroupedNavItems[] = [
  {
    group: "EVALUATION",
    items: [
      {
        href: "/new-analysis",
        title: "Create New Analysis",
        icon: FlaskConical,
      },
      {
        href: "/analysis",
        title: "Analysis",
        icon: FlaskRound,
      },
    ],
  },
  {
    group: "COURSE",
    items: [
      {
        href: "/course",
        title: "Your Course",
        icon: BookText,
      },
    ],
  },
  {
    group: "ADMIN",
    items: [
      {
        href: "/users",
        title: "Users",
        icon: Users,
      },
      {
        href: "/organization",
        title: "Organization",
        icon: Building,
      },
      {
        href: "/account",
        title: "Account",
        icon: CircleUser,
      },
      {
        href: "/preferences",
        title: "Preferences",
        icon: Bolt,
      },
      {
        href: "/configuration",
        title: "Configuration",
        icon: Wrench,
      },
      {
        href: "/api-communication",
        title: "Api Communication",
        icon: Cloudy,
      },
      {
        href: "/course-admin",
        title: "Course Admin",
        icon: BookA,
      },
    ],
  },

  {
    group: "ACCOUNT",
    items: [
      {
        href: "/change-password",
        title: "Change Password",
        icon: Key,
      },
    ],
  },
  {
    group: "EVALUATIONS",
    items: [
      {
        href: "/criteria",
        title: "Criteria",
        icon: Ruler,
      },
      {
        href: "/skill",
        title: "Skill",
        icon: Sparkles,
      },
      {
        href: "/evaluation",
        title: "Evaluation",
        icon: BarChart4,
      },
      {
        href: "/commit",
        title: "Commit",
        icon: GitCommitHorizontal,
      },
    ],
  },
];


